package Conf;

#Copyright (C) 2004 Susan J. Dridi sdridi@greens.org
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

use strict;
use warnings;

sub org {
my $org = "Green Party of California / Partido Verde de California";	#The name of your organization
return $org;
}

sub acronym {
my $acronym = "GPCA";	#Your organization's acronym
return $acronym;
}

sub group {
my $group = "GPCA : Standing General Assembly : ";		#The decision making body, a committee name.
return $group;
}

sub repunit {
my $repunit = "Counties";	#The units represented. States, Counties, Local Chapters for example
return $repunit;
}

sub defaultstateabbr {
my $defaultstateabbr = "CA";    # jgw120624: when 0+ states exist in state table
return $defaultstateabbr;
}

sub defaultcountyabbr {
my $defaultcountyabbr = "SF";   # jgw120624: when 0+ counties exist in counties table
return $defaultcountyabbr;
}

sub logo {
# my $logo = "../../vote/logo.gif";	#relative path from your script to your logo image file
my $logo = "./greenleaf.gif";
return $logo;
}

sub progressbar {
# my $progressbar = "../../vote/green.gif";	#relative path from your script to your progressbar image file
my $progressbar = "./green.gif"; 
return $progressbar;
}

sub url {
my $url = "http://cagreens.org";		#Your organization's home page
return $url;
}

sub scripturl {
my $scripturl = "/www/weblearningtools/cgi-bin/vote";	#The base URL for the scripts. No trailing slash or it will return invalid links!
return $scripturl;
}

sub oldresultspage {
my $oldresultspage = "http://www.weblearningtools.org/gpca_vote/oldresults.html";	#The URL to the page where your old vote results are kept.
return $oldresultspage;
}

sub delinfo {
my $delinfo = "http://www.weblearningtools.org/gpca_vote/del+rep+voterinfo.html";	#The URL to the page where information for your delegates, representatives or voters
return $delinfo;
}

sub cookiename {
my $cookiename = "gpca_vote";	#The cookie name you want to use for this program
return $cookiename;
}

sub admin {
my $admin = "jenni.woodward@cagreenideas.org";		#The admin's email address - the @ must be escaped with a \ or an error will occur
return $admin;
}

sub listserv {
my $listserv = "it-help\@cagreens.org";	#Listserv where the program may send info. The @ must be escaped with a \ or an error will occur
return $listserv;
}

sub voteendtime {
my $voteendtime = "Midnight Pacific Time";	#Or some other time zone, spelled out.
return $voteendtime;
}

1; #return true


